Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Class SearchImpl

    java.lang.Object
      com.beasys.commerce.foundation.expression.SearchImpl

All Implemented Interfaces
  Search, Serializable, Cloneable, Comparable

Deprecated Use `Search` instead.

    public class SearchImpl

extends Object
implements Search

An implementation of the Search interface.

See Also
  `Search`, `SearchHome`, Serialized Form

Field Summary
`Expression` | `expression` Deprecated The search expression.
`long` | `maxReturn` Deprecated The maximum number of objects to return.
`String` | `sort` Deprecated The sorting criteria Containment: By Value Multiplicity: 1:1

Constructor Summary
`SearchImpl()` Deprecated Constructor.

Method Summary
`Object` | `clone()` Deprecated
`int` | `compareTo(Object o)` Deprecated Compare this belonging to another
`boolean` | `equals(Object o)` Deprecated
`Expression` | `getExpression()` Deprecated Get the search expression.
`long` | `getMaxReturn()` Deprecated Get the maximum number of objects to return.
`String` | `getSort()` Deprecated Get the sort criteria.
`String` | `interfaceName()` Deprecated interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Object value)` Deprecated It is possible to call set-by-value with a superclass.
`void` | `setExpression(Expression expression)` Deprecated Set the search expression.
`void` | `setMaxReturn(long maxReturn)` Deprecated Set the maximum number of objects to return.
`void` | `setSort(String sort)` Deprecated Set the sort criteria.
`Object` | `value()` Deprecated value() is a more typesafe implementation of clone()

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxReturn

    public long maxReturn

  Deprecated
  The maximum number of objects to return.
  - Containment: By Value
  - Multiplicity: 1:1

### sort

    public String sort

  Deprecated
  The sorting criteria
  - Containment: By Value
  - Multiplicity: 1:1

### expression

    public Expression expression

  Deprecated
  The search expression.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### SearchImpl

    public SearchImpl()

  Deprecated
  Constructor.

Method Detail

### getMaxReturn

    public long getMaxReturn()

  Deprecated
  Get the maximum number of objects to return.

  Specified by:
    `getMaxReturn` in interface `Search`

### setMaxReturn

    public void setMaxReturn(long maxReturn)

  Deprecated
  Set the maximum number of objects to return.

  Specified by:
    `setMaxReturn` in interface `Search`

### getSort

    public String getSort()

  Deprecated
  Get the sort criteria.

  Specified by:
    `getSort` in interface `Search`

### setSort

    public void setSort(String sort)

  Deprecated
  Set the sort criteria.

  Specified by:
    `setSort` in interface `Search`

### getExpression

    public Expression getExpression()

  Deprecated
  Get the search expression.

  Specified by:
    `getExpression` in interface `Search`

### setExpression

    public void setExpression(Expression expression)

  Deprecated
  Set the search expression.

  Specified by:
    `setExpression` in interface `Search`

### value

    public Object value()

  Deprecated
  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Search`
  Returns
    a clone of this instance

### clone

    public Object clone()

  Deprecated
  Overrides:
    `clone` in class `Object`

### interfaceName

    public String interfaceName()

  Deprecated
  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Search`
  Returns
    the unqualified name of the belonging interface

### setByValue

    public void setByValue(Object value)

  Deprecated
  It is possible to call set-by-value with a superclass.

  If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values. It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Search`

### compareTo

    public int compareTo(Object o)

  Deprecated
  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

### equals

    public boolean equals(Object o)

  Deprecated
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.